.unordered-list
  --icon-size 0.375rem
  --item-margin-top 0.25rem
  & + &
    margin-top .625rem
  li
    position relative
    padding-left 1rem
    & + li
      margin-top var(--item-margin-top)
    +before()
      position absolute
      top .75rem
      left 0
      min-width var(--icon-size)
      min-height var(--icon-size)
      background-color var(--color-mark)
      border-radius 100vmax
      transform translate(0, -50%)
  &--marked
    --icon-size 1.5rem
    --item-margin-top 0.5rem
    li
      display flex
      align-items flex-start
      gap var(--base-padding)
      padding-left 0
      border-radius var(--border-radius-s)
      +before()
        position relative
        background-image backgroundImage(check)
        background-size cover
        background-repeat no-repeat
        background-position center
        background-color transparent
  &--no-margin
    --item-margin-top 0
